Bug 65582 - (S3) XFree86 crashes immediately upon execution
(S3) XFree86 crashes immediately upon execution
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 19:48 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 15:38:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-27 19:48:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; H010818; 
T312461; DVD Owner)

Description of problem:
X worked fine on 7.2 but upon upgrade to 7.3, X seems to be completely "broken" 
now.  Even tried a fresh install of 7.3 on a clean system.  Running 'startx' 
causes blank screen, then a fatal error stating "No screens found".  The server-
crash message also states multiple parse errors in XF86Config.  I tried 
installing the XFree86 4.2.0 from xfree.org (this is how I upgraded to XFree86 
4.2.0 on my previous 7.2 installation) and it crashes precisely the same way, 
every time.  I wiped out 7.3 and re-installed RH 7.2 on the same system (it is 
a Pentium Pro-S, by the way) and X works perfectly fine.  Ran the upgrade to 
XFree86 4.2.0 on the 7.2 system and again it works fine.  Just seems like 
something in the total RH 7.3 upgrade has seriously "broken" X, at least on my 
system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.3 either fresh or as an upgrade from 7.2 (for example)
2. Execute 'startx' to start the X server
3. CRASH!!
	

Actual Results:  The upgrade to 7.3 proceeded without any problems on first 
attempt.  My subsequent installation of RH 7.3 from scratch (during 
troubleshooting of this X problem) also proceeded without incident.  But once 
system boots up and 'startx' is executed, screen goes black and then 
immediately comes back with fatal errors:  "No screens found" and "Parse errors 
in XF86Config".  This happens 100% of every time you attempt to start X.

Expected Results:  Upon execution of 'startx', X should have started and the 
Gnome desktop (sawfish is the WM I use) should have begun to load.  I resorted 
to downgrading back from 7.3 to 7.2 and then re-ran the XFree86 4.2.0 upgrade I 
obtained from xfree.org and X works absolutely beautifully.  

Additional info:

I went back and forth several times between RH 7.2 and 7.3 in my attempt to 
figure this one out, but every time I got absolutely the same results:  X 
simply seems to be "broken" under 7.3, though it works perfectly on 7.2 and I 
obtained this result every time.  The system is a Pentium Pro-S with 128MB ram 
and an S3 Trio video card with 4MB ram onboard.  Xconfigurator is probing and 
finding the card correctly and choosing the XF86_S3 server.  An IBM P70 17" 
monitor is attached to the system and also is being properly detected.  Nearly 
all video resolutions available under the 8, 16, and 24 bit options have been 
tried but always the exact same result.  Bottom line is this:  X (Xfree86 4.2.0 
in particular) works perfectly on RH 7.2 but an upgrade or installation to 7.3 
seems to "break" X.  Running the XFree86 4.2.0 upgrade from the XFree Project's 
website has no effect, you still get the exact same results listed above.
Comment 1 Mike A. Harris 2002-05-28 05:19:28 EDT
Attach your X server log and config file(s) from a non working Red Hat
Linux 7.3 install - to the bug report using the file attachment link below.
Comment 3 Mike A. Harris 2002-07-13 02:59:44 EDT
You say it was probing and choosing the XF86_S3 server, but you also
say you were using XFree86 4.x.  The XF86_S3 server is not XFree86 4.x.

In order to investigate this properly since I do not have any S3 hardware,
I will need to have a copy of the X configuration files from a 7.2
installation, and an X server log from a working XFree86 session from
7.2, to compare it against the non-working 7.3 setup.

I'd really like to completely remove XFree86 3.3.6 from the equation,
and find out what problems exist in 4.x if any, since only security
fixes get applied to 3.3.6 in RHL 7.x right now, and 3.3.6 is no longer
in the distribution in rawhide.  We'd like to find out what does not
work in 4.x and either fix the drivers, submit reports to upstream
maintainers, or deprecate hardware from being listed as supported.

In your case, if you were really using XFree86 4.1, and now 4.2 does
not work, then I can diff the driver changes between those two releases
and see what turns up as a potential for causing the problem.

Please also test the "vesa" driver with 4.x and let me know how well
it works (if at all).  The big difficulty of this type of older hardware,
is that the hardware is very scarce to find, and the documentation for
it is even scarcer.  Also, there aren't many people with the hardware,
and docs willing to look into and fix problems.  So, older hardware
relies on users supplying more information, and hopefully helping to
troubleshoot and debug.  I've got S3 Trio64V+ docs, and Virge MX docs,
but no hardware.  No idea how similar it is to Trio3D/2X

Anyway if you can provide the above info, I might be able to do something.

Thanks.
Comment 4 Wojciech Kazubski 2002-08-06 07:30:09 EDT
After installing XF-4.1.0 packages from RH7.2 I got X serwer working again and
displaying graphical desktop in 1024x768 res.
with the same donfig file as in my earlier comment. There are howewer some
problems with returning to the text mode.
The log file is
----------------------------------------------------------------

XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-15) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Aug  6 13:37:13 2002
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "S3 Trio3D"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc101"
(**) XKB: model: "pc101"
(**) Option "XkbLayout" "pl"
(**) XKB: layout: "pl"
(WW) Option "XkbVariant" requires an string value
(WW) Option "XkbOptions" requires an string value
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x80000058, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 00:09:0: chip 10ec,8139 card 1429,d010 rev 10 class 02,00,00 hdr 00
(II) PCI: 00:0a:0: chip 10ec,8139 card 1429,d010 rev 10 class 02,00,00 hdr 00
(II) PCI: 01:00:0: chip 5333,8a13 card 5333,8a13 rev 01 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x88 (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xe0000000 - 0xe7ffffff (0x8000000) MX[B]
(II) Bus 1 prefetchable memory range:
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) S3 Trio3D/2X rev 1, Mem @ 0xe0000000/26
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[1] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[2] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[3] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[4] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[5] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[6] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[7] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[1] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[2] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[3] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[4] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[5] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[6] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[7] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[6] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[7] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[8] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[9] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[12] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[13] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[14] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "s3virge"
(II) Loading /usr/X11R6/lib/modules/drivers/s3virge_drv.o
(II) Module s3virge: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.6.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
	S3VIdentify
(II) S3VIRGE: driver (version 1.6.0) for S3 ViRGE chipsets: virge, 86C325,
	virge vx, 86C988, virge dx, virge gx, 86C375, 86C385, virge gx2,
	86C357, virge mx, 86C260, virge mx+, 86C280, trio 3d, 86C365,
	trio 3d/2x, 86C362, 86C368
(II) Primary Device is: PCI 01:00:0
	S3VProbe begin
(--) Assigning device section with no busID to primary device
(--) Chipset trio 3d/2x found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[6] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[7] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[8] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[9] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[12] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[13] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[14] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	S3VProbe end
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[6] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[7] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[8] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[9] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[10] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[11] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[12] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[15] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[16] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[18] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[19] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
	S3VPreInit 1
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(**) S3VIRGE(0): Depth 16, (--) framebuffer bpp 16
(==) S3VIRGE(0): RGB weight 565
(==) S3VIRGE(0): Default visual is TrueColor
	S3VGetRec
(==) S3VIRGE(0): Using HW Cursor
(==) S3VIRGE(0): Using fb.
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) S3VIRGE(0): initializing int10
(II) S3VIRGE(0): Primary V_BIOS segment is: 0xc000
(II) S3VIRGE(0): VESA BIOS detected
(II) S3VIRGE(0): VESA VBE Version 2.0
(II) S3VIRGE(0): VESA VBE Total Mem: 4096 kB
(II) S3VIRGE(0): VESA VBE OEM: S3 Incorporated. 86C362
(II) S3VIRGE(0): VESA VBE OEM Software Rev: 1.1
(II) S3VIRGE(0): VESA VBE OEM Vendor: S3 Incorporated.
(II) S3VIRGE(0): VESA VBE OEM Product: Trio3D/2X
(II) S3VIRGE(0): VESA VBE OEM Product Rev: Rev C
(--) S3VIRGE(0): Chipset: "trio 3d/2x"
	S3VMapMem
	S3VEnableMmio
	S3VPreInit vgaCRIndex=3d4, vgaIOBase=3d0, MMIOBase=40157000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) S3VIRGE(0): VESA VBE DDC supported
(II) S3VIRGE(0): VESA VBE DDC Level none
(II) S3VIRGE(0): VESA VBE DDC transfer in appr. 0 sec.
(II) S3VIRGE(0): VESA VBE DDC read failed
(--) S3VIRGE(0): No DDC signal
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.4
(II) S3VIRGE(0): I2C bus "I2C bus" initialized.
(II) S3VIRGE(0): I2C device "I2C bus:ddc2" registered.
(II) S3VIRGE(0): I2C device "I2C bus:ddc2" removed.
(==) S3VIRGE(0): Using gamma correction (1.0, 1.0, 1.0)
(--) S3VIRGE(0): videoram:  4096k
(--) S3VIRGE(0): Detected current MCLK value of 100.227 MHz
	S3VDisableMmio
	S3VPreInit minClock=20000, maxClock=270000
(II) S3VIRGE(0): Monitor0: Using hsync range of 30.00-49.00 kHz
(II) S3VIRGE(0): Monitor0: Using vrefresh range of 47.00-100.00 Hz
(II) S3VIRGE(0): Clock range:  20.00 to 270.00 MHz
(II) S3VIRGE(0): Not using default mode "800x600" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1024x768" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1024x768" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1024x768" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1152x864" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1280x960" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1280x960" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1600x1200" (horizontal timing out of
range)
(II) S3VIRGE(0): Not using default mode "1600x1200" (horizontal timing out of
range)
(II) S3VIRGE(0): Not using default mode "1600x1200" (horizontal timing out of
range)
(II) S3VIRGE(0): Not using default mode "1600x1200" (horizontal timing out of
range)
(II) S3VIRGE(0): Not using default mode "1600x1200" (horizontal timing out of
range)
(II) S3VIRGE(0): Not using default mode "1792x1344" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1792x1344" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1856x1392" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1856x1392" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1920x1440" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1920x1440" (insufficient memory for
mode)
(II) S3VIRGE(0): Not using default mode "1400x1050" (hsync out of range)
(II) S3VIRGE(0): Not using default mode "1400x1050" (hsync out of range)
(--) S3VIRGE(0): Virtual size is 1024x768 (pitch 1024)
(**) S3VIRGE(0): Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) S3VIRGE(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777
806 -hsync -vsync
(**) S3VIRGE(0): Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) S3VIRGE(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625
+hsync +vsync
(**) S3VIRGE(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) S3VIRGE(0): Modeline "640x480"   36.00  640 696 752 832 480 481 484 509
-hsync -vsync
(==) S3VIRGE(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xe0000000 - 0xe3ffffff (0x4000000) MS[B]
	[1] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[2] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0xec001000 - 0xec0010ff (0x100) MX[B]
	[7] -1	0xec000000 - 0xec0000ff (0x100) MX[B]
	[8] -1	0xe8000000 - 0xebffffff (0x4000000) MX[B]
	[9] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[17] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[18] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[19] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[20] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
	S3VScreenInit
	S3VMapMem
(==) S3VIRGE(0): Write-combining range (0xe0000000,0x400000)
	S3VEnableMmio
	S3VSave
(II) S3VIRGE(0): MMPR regs: ffffffff ffffffff ffffffff ffffffff


ViRGE driver: saved current video mode. Register dump:

(II) S3VIRGE(0): START register dump ------------------
Misc Out[3CC]
  67

CR[00-2f]
  5f 4f 50 82  55 81 bf 1f  00 4f 0d 0e  00 00 3f ff  
  9c 8e 8f 28  1f 96 b9 a3  ff ff ff ff  ff ff ff ff  
  ff 00 00 00  00 00 00 00  00 00 00 00  00 8a 13 01  
  
SR[00-27]
  03 00 03 00  02 05 06 07  06 00 02 00  0c 00 00 00  
  21 28 61 28  00 03 10 a0  00 00 00 00  00 00 04 00  
  00 00 c2 36  c2 3d 40 08  

Gr Cont GR[00-0f]
  00 00 00 00  00 10 0e 00  ff f9 fa fb  fc fd fe ff  
  
Att Cont AR[00-1f]
  20 21 22 23  24 25 26 27  28 29 2a 2b  2c 2d 2e 2f  
  0c 00 0f 08  00 35 36 37  0c 00 0f 08  00 3d 3e 3f  
  
CR[30-6f]
  e1 05 40 00  00 00 5f 0f  4b ad 87 00  10 00 1d 00  
  00 04 04 00  00 00 01 51  50 a7 00 ff  ff ff c0 c0  
  00 00 90 08  00 00 00 00  03 e0 00 00  00 00 00 00  
  05 05 05 00  00 00 83 00  6f 60 40 01  0901 f6 f8  
  
(II) S3VIRGE(0): END register dump --------------------
	S3VModeInit
	S3VModeInit dclk=65000 
	S3VInitSTREAMS
	S3VWriteMode
	S3VGEReset sub_stat=1100b000 
	S3VGEReset sub_stat=1000b000 
(II) S3VIRGE(0): ViRGE driver: done restoring mode, dumping CR registers:
(II) S3VIRGE(0): START register dump ------------------
Misc Out[3CC]
  ef

CR[00-2f]
  a3 7f 7f 86  83 94 24 f5  00 60 00 00  00 00 00 00  
  03 29 ff 00  00 ff 24 c3  ff ff ff ff  ff ff ff ff  
  ff 00 00 00  00 00 00 00  00 00 00 00  00 8a 13 01  
  
SR[00-27]
  03 01 0f 00  0e 05 06 07  03 09 0a 0b  0c 0d 0e 0f  
  10 11 12 13  14 15 16 17  18 19 1a 1b  1c 1d 1e 1f  
  20 21 22 23  24 25 26 27  

Gr Cont GR[00-0f]
  00 00 00 00  00 40 05 0f  ff f9 fa fb  fc fd fe ff  
  
Att Cont AR[00-1f]
  60 61 62 63  64 65 66 67  68 69 6a 6b  6c 6d 6e 6f  
  41 00 0f 00  00 35 36 37  41 00 0f 00  00 3d 3e 3f  
  
CR[30-6f]
  e1 8c 40 20  00 00 5f 0f  4b ad 97 93  51 00 25 00  
  00 04 04 00  00 00 01 51  50 a7 00 ff  ff ff c0 c0  
  00 10 90 08  00 10 00 00  13 e0 00 00  00 00 40 40  
  05 05 05 08  08 10 99 54  6f 60 40 01  09 01 f6 f8  
  
(II) S3VIRGE(0): END register dump --------------------
(**) S3VIRGE(0): Using FB
(II) S3VIRGE(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Solid Horizontal and Vertical Lines
	Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		10 256x256 slots
(==) S3VIRGE(0): Backing store disabled
(==) S3VIRGE(0): Silken mouse enabled
	S3VDGAInit
	S3VDGAInit firstone vpWid=1024, vpHgt=768, Bpp=2, mdbitsPP=16
	S3VDGAInit firstone vpWid=800, vpHgt=600, Bpp=2, mdbitsPP=16
	S3VDGAInit firstone vpWid=640, vpHgt=480, Bpp=2, mdbitsPP=16
	S3VHWCursorInit
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "Microsoft"
(**) Mouse0: Protocol: "Microsoft"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(**) Option "BaudRate" "1200"
(**) Option "StopBits" "1"
(**) Option "DataBits" "7"
(**) Option "Parity" "None"
(**) Option "Vmin" "1"
(**) Option "Vtime" "0"
(**) Option "FlowControl" "None"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: BaudRate: 1200
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(**) Option "BaudRate" "1200"
------------------------------------------------------------------
end of log file.
Comment 5 Need Real Name 2002-08-06 08:52:14 EDT
Good morning.  I have determined that in my case the problem was the video 
card.  When I removed the S3 card and installed a Cirrus Logic 545xx card, X 
worked fine and works fine now.  Appears to just be some problem with the S3 
Trio video card and X 4.2
Comment 6 Need Real Name 2002-08-06 12:58:18 EDT
Just a little more info:  I tried installing a different Linux distro on the 
same machine that had the S3 Trio video card in it but was running XFree86 4.1 
and it worked fine, then I did the upgrade to XFree86 4.2 and again it "broke" 
and I began to get the exact same problems/errors as I initially reported in 
this incident.  This tells me the problem is not with anything specifically in 
the RH distro but something in XFree86 4.2 that seems to have "broken" support 
for at least my particular S3 Trio video card, though I've read in several 
forums that other people with S3 Trio video cards are having a lot of problems 
with XFree 4.2, so it must be a larger problem.  I think in this case we can 
safely lay blame for this problem at the feet of Xfree86.org!!  They've 
obviously done something in the X 4.2 release that has broken support for the 
S3 Trio.  I've tried XFree86 4.2 with Cirrus Logic and ATI video cards and it 
seems to work flawlessly with all I've tried, with the lone exception of the S3 
Trio card I was using when I opened this bug report.
Comment 7 Need Real Name 2002-08-06 13:19:38 EDT
One last note:  one test I did at the beginning was to downgrade to/install RH 
7.2 and then upgrade X 4.1 to X4.2 and X did come up without errors that way 
using the S3 card but after a while X would seg fault and crash, 100% of the 
time within maybe 10 or 20 minutes after launch.  X would not come up at all on 
RH 7.3 even if X 4.2 was re-installed.  The other Linux distro I tried at the 
last was Peanut Linux which comes with the 2.4 kernel but X 4.1.  That 
configuration allowed X to come up, no errors.  I then upgraded X to 4.2 and X 
immediately broke again, same errors as above.  I replaced the S3 again with a 
Cirrus Logic card and then an ATI card and both came up fine, no crashes or 
errors.  This would seem to me to point to a combo of the S3 card and Xfree 4.2 
being the problem much more so than anything in the RH distro.  
Comment 8 Wojciech Kazubski 2002-09-12 06:59:37 EDT
I got S3 Trio 3D/2X working with vesa driver.
I had only replaced 
   Driver    "s3virge"
with
   Driver     "vesa"
The card works in 1024x768 with with 16bpp (or maybe higher resolution - monitor
limit)
Comment 9 Mike A. Harris 2002-11-08 09:24:39 EST
yes, the 4.2 release is broken on many S3 cards.  Also some S3 cards
just aren't supported at all.  Many S3 cards were configured to use
3.3.6 in the past, were changed to use 4.2 for RHL 7.3, in order
to test the new 4.2 support.  Unfortunately, the 4.2 support is less
than perfect, and no S3 users reported bugs during beta testing basically,
so the default of 4.2 was assumed to work.

The current solution going forward is to use the "vesa" driver as mentioned
above.

(II) PCI: 01:00:0: chip 5333,8a13 card 5333,8a13 rev 01 class 03,00,00 hdr 00

I'll make sure this chip defaults to "vesa" for future releases if the
native drivers do not work.
Comment 10 Mike A. Harris 2003-01-24 15:38:42 EST
This is now fixed in rawhide hwdata-0.66-1

Note You need to log in before you can comment on or make changes to this bug.